.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.47.8.
.TH GPIOSET "1" "August 2020" "gpioset (libgpiod) v1.4.4" "User Commands"
.SH NAME
gpioset \- manual page for gpioset (libgpiod) v1.4.4
.SH SYNOPSIS
.B gpioset
[\fI\,OPTIONS\/\fR] \fI\,<chip name/number> <offset1>=<value1> <offset2>=<value2> \/\fR...
.SH DESCRIPTION
Set GPIO line values of a GPIO chip and maintain the state until the process exits
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR:
display this message and exit
.TP
\fB\-v\fR, \fB\-\-version\fR:
display the version and exit
.TP
\fB\-l\fR, \fB\-\-active\-low\fR:
set the line active state to low
.HP
\fB\-m\fR, \fB\-\-mode\fR=\fI\,[exit\/\fR|wait|time|signal] (defaults to 'exit'):
.IP
tell the program what to do after setting values
.TP
\fB\-s\fR, \fB\-\-sec\fR=\fI\,SEC\/\fR:
specify the number of seconds to wait (only valid for \fB\-\-mode\fR=\fI\,time\/\fR)
.TP
\fB\-u\fR, \fB\-\-usec\fR=\fI\,USEC\/\fR:
specify the number of microseconds to wait (only valid for \fB\-\-mode\fR=\fI\,time\/\fR)
.TP
\fB\-b\fR, \fB\-\-background\fR:
after setting values: detach from the controlling terminal
.SS "Modes:"
.TP
exit:
set values and exit immediately
.TP
wait:
set values and wait for user to press ENTER
.TP
time:
set values and sleep for a specified amount of time
.TP
signal:
set values and wait for SIGINT or SIGTERM
.PP
Note: the state of a GPIO line controlled over the character device reverts to default
when the last process referencing the file descriptor representing the device file exits.
This means that it's wrong to run gpioset, have it exit and expect the line to continue
being driven high or low. It may happen if given pin is floating but it must be interpreted
as undefined behavior.
.SH AUTHOR
Bartosz Golaszewski <bartekgola@gmail.com>
.SH "REPORTING BUGS"
Report bugs to:
    Bartosz Golaszewski <bartekgola@gmail.com>
    linux-gpio <linux-gpio@vger.kernel.org>
.SH COPYRIGHT
Copyright \(co 2017\-2018 Bartosz Golaszewski
License: LGPLv2.1
.br
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
